UBUNTU-DEVICE-FLASH(1)

NAME
ubuntu-device-flash - provision supported Nexus devices with Ubuntu

SYNOPSIS
ubuntu-device-flash [OPTIONS]

DESCRIPTION
ubuntu-device-flash Use this tool to flash a suported device with Ubuntu by either bootstrapping from fastboot or reflashing from an already supported device.

OPTIONS
-bootstrap=false: Bootstrap the system, do this from fastboot

-channel="stable": Select channel to flash

-device="": Select device to flash

-list-channels=false: List available channels

-revision=0: Revision to flash, 0 is current, use explicit version number or negative relative ones to current

-serial="": Serial of the device to operate

-server="https://system-image.ubuntu.com": Select image server

-wipe=false: Clear all data after flashing

EXAMPLES
To list the available channels on the server for the connected device

    ubuntu-device-flash --list-channels

To flash a full image over an existing Ubuntu Touch install with a different channel

    ubuntu-device-flash --channel [channel]

To flash a full image over a non Ubuntu Touch install with the default channel, do the following from fastboot

    ubuntu-device-flash --bootstrap

ENVIRONMENT

XDG_CACHE_HOME
    If set, downloads take place in XDG_CACHE_HOME/ubuntuimages

AUTHOR
Sergio Schvezov <sergio.schvezov at canonical dot com>